#
#  MMS build file for GNU grep v2.0
#
#  Written by Hunter Goatley, <goathunter@WKUVX1.BITNET>, 15-SEP-1993 09:41
#  Modified 24-NOV-1993 05:45 to work with real MMS.  Sheesh.
#
#  To build under OpenVMS AXP (Alpha), use the following command:
#
#	$ mms/macro=(__alpha__=1)
#
#
.IFDEF EXE
.ELSE
EXE = .EXE
OBJ = .OBJ
OLB = .OLB
.ENDIF

.IFDEF __ALPHA__			#For Alpha, use /STANDARD=VAXC and
CC = CC/STANDARD=VAXC			#... don't use an options file
OPTIONS =
OPTFILE =
.ELSE
OPTFILE = ,VAXCRTL.OPT
OPTIONS = $(OPTFILE)/OPTIONS

.FIRST
	@ define sys sys$library:

.ENDIF

DEFFLAGS = /DEFINE=(HAVE_STRING_H,HAVE_MEMCHR,HAVE_STRERROR)

.IFDEF __DEBUG__
CFLAGS = $(CFLAGS)/DEBUG/NOOPTIMIZE$(DEFFLAGS)
LINKFLAGS = $(LINKFLAGS)/DEBUG/TRACEBACK
.ELSE
CFLAGS = $(CFLAGS)/NODEBUG$(DEFFLAGS)
LINKFLAGS = $(LINKFLAGS)/NODEBUG/NOTRACEBACK
.ENDIF

OBJS =	GREP$(OBJ),ALLOCA$(OBJ),DFA$(OBJ),GETOPT$(OBJ),KWSET$(OBJ),-
	OBSTACK$(OBJ),REGEX$(OBJ),SEARCH$(OBJ),SHELL_MUNG$(OBJ)

GREP$(EXE) :	GREP$(OLB)($(OBJS))$(OPTFILE)
	$(LINK)$(LINKFLAGS) GREP$(OLB)/INCLUDE=(GREP,SEARCH)/LIBRARY$(OPTIONS)


#
# Include file dependencies
#
GREP$(OBJ),SEARCH$(OBJ) :		GREP.H
DFA$(OBJ),SEARCH$(OBJ) :		DFA.H
KWSET$(OBJ),SEARCH$(OBJ) :		KWSET.H
REGEX$(OBJ),DFA$(OBJ),SEARCH$(OBJ) :	REGEX.H
GREP$(OBJ) :				GETPAGESIZE.H
GETOPT$(OBJ) :				GETOPT.H
OBSTACK$(OBJ),KWSET$(OBJ) :		OBSTACK.H

#
#  Build the linker options file for OpenVMS VAX and VAX C.
#
VAXCRTL.OPT :
	@ open/write tmp vaxcrtl.opt
	@ write tmp "SYS$SHARE:VAXCRTL.EXE/SHARE"
	@ close tmp
